Expectation (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.jdbc
Interface Expectation

All Known Implementing Classes:
  Expectations.BasicExpectation, Expectations.BasicParamExpectation

    public interface Expectation

Defines an expected DML operation outcome.

Method Summary
`boolean` | `canBeBatched()` Is it acceptable to combiner this expectation with statement batching?
`int` | `prepare(PreparedStatement statement)` Perform any special statement preparation.
`void` | `verifyOutcome(int rowCount, PreparedStatement statement, int batchPosition)` Perform verification of the outcome of the RDBMS operation based on the type of expectation defined.

Method Detail

### verifyOutcome

    void verifyOutcome(int rowCount,
                       PreparedStatement statement,
                       int batchPosition)
                       throws SQLException,
                              HibernateException

  Perform verification of the outcome of the RDBMS operation based on the type of expectation defined.

  Parameters:
    `rowCount` - The RDBMS reported "number of rows affected".
    `statement` - The statement representing the operation
    `batchPosition` - The position in the batch (if batching)
  Throws:
    `SQLException` - Exception from the JDBC driver
    `HibernateException` - Problem processing the outcome.

### prepare

    int prepare(PreparedStatement statement)
                throws SQLException,
                       HibernateException

  Perform any special statement preparation.

  Parameters:
    `statement` - The statement to be prepared
  Returns:
    The number of bind positions consumed (if any)
  Throws:
    `SQLException` - Exception from the JDBC driver
    `HibernateException` - Problem performing preparation.

### canBeBatched

    boolean canBeBatched()

  Is it acceptable to combiner this expectation with statement batching?

  Returns:
    True if batching can be combined with this expectation; false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.